%define name python-pytest-timeout
%define srcname  pytest-timeout 
%define version 1.2.0
%define release 1

%define is_python %(test -e /usr/bin/python && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%endif

Summary: Better living through Python with decorators
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD License
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Michele Simionato <michele.simionato@gmail.com>
Url: http://pypi.python.org/pypi/decorator

BuildRequires: python, python-devel
BuildRequires:  python2-devel
#BuildRequires:  python2-pexpect
BuildRequires:  python2-pytest
Requires: python
Requires: python-pytest


%description
This is a plugin which will terminate tests after a certain timeout. 
When doing so it will show a stack dump of all threads running at the time.
This is useful when running tests under a continuous integration server or simply if you don’t know why the test suite hangs.


%prep
%setup -q -n %{srcname}-%{version}
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files -n python-%{srcname}
%defattr(-,root,system,-)
%doc 32bit/PKG-INFO 32bit/README.txt
%doc 32bit/documentation*
%{python_sitelib}/*.py
%{python_sitelib}/*.pyc
%{python_sitelib}/*.egg-info

%changelog
* Wed Aug 02 2017 Ravi hirekurabar <rhirekur@in.ibm.com> - 1.2.0-1 
- Initial port
